/* Copyright (C) 1992-2012 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307 USA.  */

#include "version.h"
#include <unistd.h>

static const char banner[] =
"Crypt add-on for GNU C Library "RELEASE" release version "VERSION".\n\
Copyright (C) 1991-2012 Free Software Foundation, Inc.\n\
This is free software; see the source for copying conditions.\n\
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A\n\
PARTICULAR PURPOSE.\n\
Compiled by GNU CC version "__VERSION__".\n\
Implementations:\n\
	UFC-crypt by Michael Glad <glad@daimi.aau.dk>.\n\
	MD5-crypt by Ulrich Drepper <drepper@cygnus.com>.\n\
	Blowfish-crypt by Solar Designer <solar@openwall.com>.\n\
	SHA-256 and SHA-512 based password encryption by Ulrich Drepper.\n\
For bug reporting instructions, please see:\n\
<http://www.gnu.org/software/libc/bugs.html>.\n";

/* This function is the entry point for the shared object.
   Running the library as a program will get here.  */

void  __attribute__ ((noreturn))
__libc_main (void)
{
  write (STDOUT_FILENO, banner, sizeof banner - 1);
  _exit (0);
}
